Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgroups.blocks
Interface RpcDispatcher.Marshaller

All Known Subinterfaces:
  RpcDispatcher.Marshaller2

All Known Implementing Classes:
  RpcDispatcher.MarshallerAdapter

Enclosing class:
  RpcDispatcher

    public static interface RpcDispatcher.Marshaller

Method Summary
`java.lang.Object` | `objectFromByteBuffer(byte[] buf)`
`byte[]` | `objectToByteBuffer(java.lang.Object obj)`

Method Detail

### objectToByteBuffer

    byte[] objectToByteBuffer(java.lang.Object obj)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### objectFromByteBuffer

    java.lang.Object objectFromByteBuffer(byte[] buf)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.